Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.consultrn._1_0.core
Class BirthHistoryType

    java.lang.Object
      be.fgov.ehealth.consultrn._1_0.core.HistoryType
          be.fgov.ehealth.consultrn._1_0.core.BirthHistoryType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2018-04-09T03:56:41+02:00",
               comments="JAXB RI v2.2.11")
    public class BirthHistoryType

extends HistoryType
implements Serializable

Java class for BirthHistoryType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="BirthHistoryType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:consultRN:1_0:core}HistoryType">
           <sequence>
             <element name="Birth" type="{urn:be:fgov:ehealth:consultRN:1_0:core}BirthDeceaseType"/>
             <element name="ActNumber" type="{http://www.w3.org/2001/XMLSchema}integer" minOccurs="0"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`BirthHistoryType()`

Method Summary
`BigInteger` | `getActNumber()` Gets the value of the actNumber property.
`BirthDeceaseType` | `getBirth()` Gets the value of the birth property.
`void` | `setActNumber(BigInteger value)` Sets the value of the actNumber property.
`void` | `setBirth(BirthDeceaseType value)` Sets the value of the birth property.

Methods inherited from class be.fgov.ehealth.consultrn._1_0.core.HistoryType
`getEffectuationDate, getModificationDate, getSource, setEffectuationDate, setModificationDate, setSource`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BirthHistoryType

    public BirthHistoryType()

Method Detail

### getBirth

    public BirthDeceaseType getBirth()

  Gets the value of the birth property.

  Returns:
    possible object is `BirthDeceaseType`

### setBirth

    public void setBirth(BirthDeceaseType value)

  Sets the value of the birth property.

  Parameters:
    `value` - allowed object is `BirthDeceaseType`

### getActNumber

    public BigInteger getActNumber()

  Gets the value of the actNumber property.

  Returns:
    possible object is `BigInteger`

### setActNumber

    public void setActNumber(BigInteger value)

  Sets the value of the actNumber property.

  Parameters:
    `value` - allowed object is `BigInteger`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSAUDIOLOGIST 3.15.1 API
Copyright © {inceptionYear}-2018 eHealth. All Rights Reserved.